aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDavid Runge <dave@sleepmap.de>2015-03-20 00:48:54 +0100
committerDavid Runge <dave@sleepmap.de>2015-03-20 00:48:54 +0100
commit65c247e5bb7793923fddef413a6e4b882e87a304 (patch)
tree770957cb1f57c62528f2528151aa8d1b13b6d79b /scripts
parent4025a15bafb4c773669797cb44384c1af1f1651e (diff)
downloadcrypted-backups-65c247e5bb7793923fddef413a6e4b882e87a304.tar.gz
crypted-backups-65c247e5bb7793923fddef413a6e4b882e87a304.tar.bz2
crypted-backups-65c247e5bb7793923fddef413a6e4b882e87a304.tar.xz
crypted-backups-65c247e5bb7793923fddef413a6e4b882e87a304.zip
backup-aura-states: Adding first version of backup-aura-states script, service and timer.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/backup-aura-states26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/backup-aura-states b/scripts/backup-aura-states
new file mode 100755
index 0000000..86137b7
--- /dev/null
+++ b/scripts/backup-aura-states
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+timestamp="$(date +"%Y%m%d-%H%M%S")-"
+
+# If the backup location doesn't exist yet, create it
+if [ ! -d $aura_states_folder_destination ]; then
+ mkdir -p $aura_states_folder_destination
+fi
+
+if [ -d $aura_states_parent_source ]; then
+ cd $aura_states_parent_source
+else
+ exit 1
+fi
+
+echo "$aura_states_folder_source -> $aura_states_folder_destination$timestamp$aura_states_folder_source$tar_suffix$gpg_suffix"
+# tar in /tmp
+tar cfJ $tmp$timestamp$aura_states_folder_source$tar_suffix $aura_states_folder_source
+# gpg to aura_states_folder_destination
+gpg -e \
+ -r "$gpg_public_key" \
+ -o $aura_states_folder_destination$timestamp$aura_states_folder_source$tar_suffix$gpg_suffix \
+ $tmp$timestamp$aura_states_folder_source$tar_suffix
+# delete tar in /tmp
+rm -f $tmp$timestamp$aura_states_folder_source$tar_suffix
+